org.keycloak.services.resources

## Class RequiredActionsService

- java.lang.Object
- - org.keycloak.services.resources.RequiredActionsService

-     public class RequiredActionsService
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected javax.ws.rs.ext.Providers` | `providers`
    `protected ProviderSession` | `providerSession`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredActionsService(RealmModel realm, TokenManager tokenManager, Audit audit)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `emailVerification()`
    `javax.ws.rs.core.Response` | `passwordReset()`
    `javax.ws.rs.core.Response` | `sendPasswordReset(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `javax.ws.rs.core.Response` | `updatePassword(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `javax.ws.rs.core.Response` | `updateProfile(javax.ws.rs.core.MultivaluedMap<String,String> formData)`
    `javax.ws.rs.core.Response` | `updateTotp(javax.ws.rs.core.MultivaluedMap<String,String> formData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### providers

          @Context
          protected javax.ws.rs.ext.Providers providers

    - #### providerSession

          @Context
          protected ProviderSession providerSession

  - ### Constructor Detail

    - #### RequiredActionsService

          public RequiredActionsService(RealmModel realm,
                                TokenManager tokenManager,
                                Audit audit)

  - ### Method Detail

    - #### updateProfile

          @Path(value="profile")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response updateProfile(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### updateTotp

          @Path(value="totp")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response updateTotp(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### updatePassword

          @Path(value="password")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response updatePassword(javax.ws.rs.core.MultivaluedMap<String,String> formData)

    - #### emailVerification

          @Path(value="email-verification")
          @GET
          public javax.ws.rs.core.Response emailVerification()

    - #### passwordReset

          @Path(value="password-reset")
          @GET
          public javax.ws.rs.core.Response passwordReset()

    - #### sendPasswordReset

          @Path(value="password-reset")
          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response sendPasswordReset(javax.ws.rs.core.MultivaluedMap<String,String> formData)

Copyright © 2014. All Rights Reserved.